﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TDS 520A,524A (1 yr) VER IEEE /5800+5Ch
DATE:                  2013-11-19 07:29:06
AUTHOR:                Fluke
REVISION:              $Revision: 18972 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       203
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        Tektronix Tektronix TDS 520A, 524A, 540A, & 544A Digitizing Oscilloscopes
#        Performance Verification, Part No. 070-8712-01
#
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         500MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            F        V

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Guardbanding & Ver Method

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         20 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         UUT IDENTIFICATION
  1.016  TARGET
  1.017  CALL         Sub TDS500/600/700 Setup IEEE
  1.018  IEEE2        *RST;DESE 61
  1.019  WAIT         -t 4 System Initializing ...

  1.020  MATH         @UUT_Manufacturer  = "TEKTRONIX"
  1.021  MATH         @UUT_AssetNum      = UUT()

  1.022  IF           NOT(EMPTY(@UUT_AssetNum))
  1.023  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.024  ENDIF

  1.025  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.027  IF           @Abort
  1.028  END
  1.029  ENDIF

  1.030  HEAD         EQUIPMENT REQUIREMENTS
  1.031  OPBR         -z Do you want to REVIEW the list of additional
  1.031  OPBR         equipment and/or accessories required?

  1.032  IF           MEM1
  1.033  DISP         The following additional equipment and/or accessories
  1.033  DISP         are required:
  1.033  DISP
  1.033  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.033  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.033  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.033  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.033  DISP         - Dual Input Coupler (BNC)
  1.033  DISP         - 50 Ohm Feedthrough (BNC)
  1.034  ENDIF

  1.035  CALL         Sub TDS500A Specifications
  1.036  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.037  JMPL         END                          @Abort
  1.038  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.039  JMPL         END                          @Abort

  1.040  MATH         @SourceChanNum = 5

  1.041  MATH         @Chan = 1
  1.042  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 3
  1.046  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.047  MATH         @Chan = 4
  1.048  CALL         Sub TDS500A (1 yr) DC Offset IEEE

  1.049  MATH         @Chan = 1
  1.050  M5800                                                    C1
  1.051  CALL         Sub TDS52xA (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /5800
  1.052  MATH         @Chan = 2
  1.053  M5800                                                    C2
  1.054  CALL         Sub TDS52xA (1 yr) DCV Meas Acc Ch 1 & 2 IEEE /5800
  1.055  MATH         @Chan = 3
  1.056  M5800                                                    C3
  1.057  CALL         Sub TDS52xA (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /5800
  1.058  MATH         @Chan = 4
  1.059  M5800                                                    C4
  1.060  CALL         Sub TDS52xA (1 yr) DCV Meas Acc Aux 1 & 2 IEEE /5800

  1.061  MATH         @Chan = 1
  1.062  M5800                                                    C1
  1.063  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5800
  1.064  MATH         @Chan = 2
  1.065  M5800                                                    C2
  1.066  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5800
  1.067  MATH         @Chan = 3
  1.068  M5800                                                    C3
  1.069  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5800
  1.070  MATH         @Chan = 4
  1.071  M5800                                                    C4
  1.072  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5800
  1.073  JMPL         TIMEBASE_TRIGGER

  1.074  LABEL        DELAY_MATCH
  1.075  MATH         @Chan = 1
  1.076  M5800                                                    C1
  1.077  CALL         Sub TDS500A (1 yr) Delay Match IEEE /5800
  1.078  JMPL         PROBE_COMPENSATION

  1.079  LABEL        TIMEBASE_TRIGGER
  1.080  MATH         @Chan = 1
  1.081  M5800                                                    C1
  1.082  CALL         Sub TDS500A (1 yr) Time Base IEEE /5800
  1.083  CALL         Sub TDS52xA/54xA (1 yr) Delta Time IEEE /5800
  1.084  CALL         Sub TDS500A (1 yr) Trig Time Acc IEEE /5800
  1.085  CALL         Sub TDS52xA/54xA (1 yr) Trig Level Acc IEEE /5800

  1.086  MATH         @Chan = 1
  1.087  M5800                                                    C1
  1.088  CALL         Sub TDS500A (1 yr) Sens IEEE /5800
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.089  OPBR         -z Each channel trig sensitivity test will take about
  1.089  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.089  OPBR         channels to save time, unless desired.
  1.089  OPBR
  1.089  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.089  OPBR         3, and 4?
  1.090  MATH         @TestCh234Sens = MEM1

  1.091  IF           @TestCh234Sens
  1.092  MATH         Time = 3 * @OptChSensTime
  1.093  DISP         The next routine operator intervention occurs
  1.093  DISP         in approximately [V Time] minutes...
  1.094  MATH         @Chan = 2
  1.095  M5800                                                    C2
  1.096  CALL         Sub TDS500A (1 yr) Sens IEEE /5800
  1.097  MATH         @Chan = 3
  1.098  M5800                                                    C3
  1.099  CALL         Sub TDS500A (1 yr) Sens IEEE /5800
  1.100  MATH         @Chan = 4
  1.101  M5800                                                    C4
  1.102  CALL         Sub TDS500A (1 yr) Sens IEEE /5800
  1.103  ENDIF

  1.104  JMPL         DELAY_MATCH

  1.105  LABEL        PROBE_COMPENSATION
  1.106  M5800                                                    C1
  1.107  CALL         Sub TDS500A (1 yr) Probe Comp IEEE /5800

  1.108  LABEL        END
  1.109  IEEE2        *RST;DESE 61

  1.110  IF           @Abort
  1.111  DISP         V E R I F I C A T I O N   A B O R T E D
  1.112  ENDIF

  1.113  END
